
/* User Registration form styles */

.user-registration-form-wrapper {
    width: 100%;
    margin: 3rem auto !important;
    box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
    border-radius: 15px;
}

.user-registration-form-wrapper .is-layout-flex {
    gap: 0;
}

.user-registration-form-wrapper .userreg-left,
.user-registration-form-wrapper .userreg-right {
    flex-direction: column;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 3em 1rem;
}

.user-registration-form-wrapper .userreg-left {
    color: white;
    background-color: #014665;
    text-align: center;
    border-top-left-radius: 16px;
    border-top-right-radius: 16px;
}

.user-registration-form-wrapper .userreg-left-content > div,
.user-registration-form-wrapper .userreg-right-content > div {
    flex-wrap: initial;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}

.user-registration-form-wrapper .userreg-left-content h2,
.user-registration-form-wrapper .userreg-right-content h2 {
    font-size: 2rem;
    font-weight: 700;
}

.user-registration-form-wrapper .userreg-left-content h2 {
    color: white;
    word-break: normal;
}

.user-registration-form-wrapper .userreg-right-content h2,
.user-registration-form-wrapper .userreg-right-content p {
    text-align: center;
}

.user-registration-form-wrapper .userreg-right-content h2 {
    color: #014665;
}

.user-registration-form-wrapper .user-registration {
    width: 100%;
}

.user-registration-form-wrapper .user-registration.ur-frontend-form {
    padding: 0;
}


.user-registration-form-wrapper .ur-button-container {
    width: 100%;
    margin: 0 auto;
}

.user-registration-form-wrapper .ur-submit-button,
.user-registration-form-wrapper .wp-block-button__link {
    background: #934549 !important;
    border-radius: unset;
    padding: 0.5rem 1.5rem !important;
    border: 1px solid #934549 !important;
    font-size: 1rem !important;
}

.user-registration-form-wrapper .ur-submit-button:hover {
    background-color: #014665 !important;
    color: #ffff00 !important;
}

.user-registration-form-wrapper .wp-block-button__link:hover {
    background-color: #014665 !important;
    border: 1px solid white !important;
}

@media (min-width: 780px) {
    .user-registration-form-wrapper {
        width: 80%;
        margin: 6rem auto !important;
        box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
        border-radius: 16px
    }

    .user-registration-form-wrapper .userreg-left,
    .user-registration-form-wrapper .userreg-right {
        padding: 4rem 2rem;
    }

    .user-registration-form-wrapper .userreg-left {
        border-top-left-radius: 16px;
        border-bottom-left-radius: 16px;
        border-top-right-radius: 0;
    }
}

.user-registration-form-wrapper.user-logged-in .userreg-left {
    flex-grow: 1 !important;
    border-top-right-radius: 16px;
    border-bottom-right-radius: 16px;
}

.user-registration-form-wrapper.user-logged-in .userreg-right {
    display: none;
}
